Subject: bug#15758: grep 2.15 calls abort() on larger searches with -P

From: Santiago <[email-masked]>
Date: Wed, 18 Dec 2013 18:09:55 -0500

El 18/12/13 a las 09:45, Jim Meyering escribió:
...
> 
> Hi Santiago,
> Thanks for testing that.
> What do you get when you run the stand-alone example I gave in the
> commit log and in the test?
> 
>   printf 'j\x82\nj\n'|LC_ALL=en_US.UTF-8 grep -P j|cat -A; echo $?
> 
> For me (using pcre-8.33), it works the way I want and both matches:
> 
>       jM-^B$
>       j$
>       0
> 
> Hmm... I see that with debian unstable's 8.31-2, it does indeed act differently.
> I may have to think about excluding pcre support when the version
> doesn't work the way I want.

I get this:

$ printf 'j\x82\nj\n'|LC_ALL=en_US.UTF-8 src/grep -P j|cat -A; echo $?
src/grep: invalid UTF-8 byte sequence in input
0

I've also tried building debian packages for pcre 8.33 and 8.34, with same
results. I need to take a look if a debian patch is giving trouble.

Cheers!

Santiago